Passer au contenu principal
POST
/
v1
/
authentication
Obtain Authentication Token
curl --request POST \
  --url https://sandbox.gateway.sezzle.com/v1/authentication \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "private_key": "sz_pr_...",
  "public_key": "sz_pub_..."
}
'
{
  "expiration_date": "2017-01-01T01:30:25.388Z",
  "merchant_uuid": "merchant1234567890",
  "token": "example-token"
}

Documentation Index

Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt

Use this file to discover all available pages before exploring further.

Vous consultez la Version 1 de l’API Sezzle. Découvrez la version actuelle!

Autorisations

Authorization
string
header
requis

The authentication token generated from providing API Keys to Sezzle Gateway

Corps

application/json
public_key
string
requis
private_key
string
requis

Réponse

Successful operation

token
string
  • For use in the header of other requests:
  • Authorization: Bearer {response.token}
expiration_date
string<date-time>

You must replace the token you obtain from the Authentication endpoint every 120 minutes. However, we do not restrict you to a single token, and you can obtain a new one at any time.

merchant_uuid
string

The merchant UUID for the account